Bug 108177 - Hook up tests to Gitlab-CI
Summary: Hook up tests to Gitlab-CI
Status: RESOLVED FIXED
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: git master
Hardware: Other All
: medium enhancement
Assignee: Simon McVittie
QA Contact: D-Bus Maintainers
URL: https://gitlab.freedesktop.org/smcv/d...
Whiteboard: review+
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-10-03 19:10 UTC by Simon McVittie
Modified: 2018-10-08 12:42 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon McVittie 2018-10-03 19:10:50 UTC
We currently run tests by pushing to an officially unofficial Github mirror of dbus and letting Travis-CI test it. When dbus gets migrated onto freedesktop.org's Gitlab installation, it would be nice to run some or all of the same tests on Gitlab's own infrastructure.

Gitlab uses Docker containers to run tests, which we already know how to use; and we already use shell scripts to encapsulate the "real work" of the Travis-CI tests. So it's somewhat straightforward to join the dots.

While I'm experimenting with Gitlab anyway, here's a merge request for people to review from:

https://gitlab.freedesktop.org/smcv/dbus-temp/merge_requests/1

(That's in a temporary clone of dbus, which I'll archive when we have the real dbus/dbus.git in Gitlab, and replace with a proper fork in smcv/dbus.)
Comment 1 Philip Withnall 2018-10-04 09:04:51 UTC
From a very brief glance at it, it looks reasonable to me. With CI, if it works, ship it.
Comment 2 Simon McVittie 2018-10-04 09:33:04 UTC
Thanks, pushed. Leaving this open while I test backports to dbus-1.10 and dbus-1.12.
Comment 3 Simon McVittie 2018-10-08 12:42:10 UTC
Merged for 1.13.8, 1.12.12 and 1.10.28, with some subsequent changes to make it somewhat faster (pushed unreviewed according to the "if it works, ship it" rule).


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.